org.codehaus.groovy.runtime.metaclass

## Class ReflectionMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    NewMetaMethod

      public class ReflectionMetaMethod
      extends MetaMethod

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedMethod` | `method`

    - ### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReflectionMetaMethod(CachedMethod method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CachedClass` | `getDeclaringClass()`
    `int` | `getModifiers()`
    `String` | `getName()`
    `protected Class[]` | `getPT()`
    `Class` | `getReturnType()`
    `Object` | `invoke(Object object, Object[] arguments)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.MetaMethod

      `checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException`

    - ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

      `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### method

          protected final CachedMethod method

  - ### Constructor Detail

    - #### ReflectionMetaMethod

          public ReflectionMetaMethod(CachedMethod method)

  - ### Method Detail

    - #### getModifiers

          public int getModifiers()

      Specified by:
        `getModifiers` in class `MetaMethod`

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `MetaMethod`

    - #### getReturnType

          public Class getReturnType()

      Specified by:
        `getReturnType` in class `MetaMethod`

    - #### getDeclaringClass

          public CachedClass getDeclaringClass()

      Specified by:
        `getDeclaringClass` in class `MetaMethod`

    - #### invoke

          public Object invoke(Object object,
                      Object[] arguments)

      Specified by:
        `invoke` in class `MetaMethod`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MetaMethod`

    - #### getPT

          protected Class[] getPT()

      Overrides:
        `getPT` in class `ParameterTypes`